/* Segédosztályok és animációk */

/* Görgetés felfelé gomb */
.scroll-top-btn{
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 100;
    background-color: #000000;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 8px;
    font-size:18px;
    cursor: pointer;
    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.3);
    display: none;
    transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
}

.scroll-top-btn:hover{
    background-color: rgba(0, 0, 0, 0.7);
}

.scroll-top-btn.show {
    display: block;
    visibility: visible;
    opacity: 1;
}

.scroll-top-btn.hide {
    visibility: hidden;
    opacity: 0;
}

/* Animációk */
.hidden{
    opacity: 0;
    filter: blur(5px);
    transform: translateX(-100%);
    transition: all 1s;
}

.show{
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
}

.service-item:nth-child(2){
    transition-delay: 200ms;
}
.service-item:nth-child(3){
    transition-delay: 200ms;
}
.service-item:nth-child(4){
    transition-delay: 200ms;
}
.service-item:nth-child(5){
    transition-delay: 400ms;
}
.service-item:nth-child(6){
    transition-delay: 400ms;
}
